base:
  pkgrepo.managed:
    - name: deb http://httpredir.debian.org/debian jessie-backports main
    - file: /etc/apt/sources.list.d/backports.list

base-packages:
  pkg.installed:
    - pkgs:
      - screen
      - htop
      - git
      - locales-all

/etc/salt/grains:
  file.managed:
    - user: root
    - group: root
    - mode: 0600
    - replace: False

/home/vagrant/.screenrc:
  file.managed:
    - user: vagrant
    - group: vagrant
    - mode: 0644
    - source: salt://base/screenrc

update-system:
  pkg.uptodate:
    - refresh: True

/home/vagrant/bin:
  file.directory:
    - user: vagrant
    - group: vagrant
    - mode: 0750

/home/vagrant/.bashrc:
  file.managed:
    - user: vagrant
    - group: vagrant
    - mode: 0644
    - source: salt://base/bashrc
